Forum » Last.fm Client Support

Last.fm client doesn't launch with iTunes after upgrade

 
  • Last.fm client doesn't launch with iTunes after upgrade

    Running Mac OS 10.5.8 on a PPC iMac, iTunes 10.2.2

    I think that the reason the client doesn't launch is because Last.fm decided to make the AudioScrobbler.bundle Intel only. When I looked at the current bundle that was listed under "kind" as "Bunde (Intel). I looked in one of my backups prior to the upgrade and the "kind" was "Bundle (Universal). When I copied the old one back onto my Mac, the client auto-launched once again. However for some strange reason it kept changing to the Intel version whenever I ran the client. Finally just downgraded to the previous version. If it ain't broken don't fix it.

    Umm, hello, Last.fm you might want to make mention of that fact. You would save your customer a lot wasted time trying to figure out a problem that wasn't of their making.

    • MEMDB said...
    • User
    • 14 Aug 2011, 19:43
    Yeah I think this might be my issue though I had upgraded to iTunes to 10.4 (80) I probably won't be able to get my Last.fm to autolaunch when iTunes is opened. I noticed that on my brother's Macbook his autolaunches but with my Powerbook G4 it no longer comes up.

    I've been posting and it seems that we are the only ones with this issue and it won't be fixed. Guess that's just one more program that stops supporting PPC Macs.

  • I've a Mac G5 running version 10.5.8. When iTunes launches Last FM doesn't despite being set to do so in Preferences. Looks like I'm going to have to finish with Last FM and take down my associated links.

    John Peel after playing 'Higher State Of Consciousness' by Josh Wink for the second time;
    "I'm sure I'm not alone in thinking that sounded better when I played it the other night, at the wrong speed."
  • If any one needs the bundle plugin you can get it here:
    http://dl.dropbox.com/u/611531/AudioScrobbler.bundle.zip

    I had to downgrade the client back to 1.5.4.27088 as well. The newer client seemed to update the bundle to the new one.

    • MEMDB said...
    • User
    • 15 Aug 2011, 01:15
    How exactly does that work, I just down graded but does that mean I also need to down grade my iTunes as well?

    • MEMDB said...
    • User
    • 15 Aug 2011, 02:23
    Yeah I did everything and it's still not working for me. It scrobbles but it doesn't auto launch for me even with the method you told me.

  • @MEMDB Not sure if downgrading iTunes would work as I am still on 10.2.

    Did you downgrade the last.fm client to version 1.5.4.27088? If you didn't then I suspect the newer version is updating the scrobbler bundle like it did for me.

    Did you place the AucioScrobbler.bundle in to the iTunes Plug-ins folder found at Users/"your name"/Library/iTunes/iTunes Plug-ins? It may also be in Macintosh HD/Library//iTunes/iTunes Plug-ins. Make sure you replace the one that is already there with the one in the download link as it is the non Intel version.

    Once I did both of these steps it was all back to normal for me.

  • With all due respect to all this 'have-you-done-this?-have-you-done-that?' bull being posted everywhere - no I haven't because I shouldn't have to. If Last FM don't have the good grace to fix it with an update than Last FM can stick their service where the sun don't shine.

    John Peel after playing 'Higher State Of Consciousness' by Josh Wink for the second time;
    "I'm sure I'm not alone in thinking that sounded better when I played it the other night, at the wrong speed."
    • MEMDB said...
    • User
    • 18 Aug 2011, 07:09
    Yeah I did all that stuff and still nothing. Did almost every single copied that bundled file to all the places that people want me to copy it with no luck at all.

  • Same problem here

    Same problem - Last.fm Scrobbler on PowerPC Mac does not work

    Scrobbler will start if manually activated, but iTunes will not automatically start it. Even if Scrobbler is running, it will not scrobble tracks from iPod.

    Running Mac OS 10.5.8 on a PPC Mac

    Running iTunes 10.4 and Scrobbler 1.5.4.28012 <-- Intel ONLY plugin

    Updated the plugin bundle to 02082011 <-- Intel ONLY plugin

    Tried going back to Scrobbler 1.5.4.27088 and iTunes 10.2, but can not because iTunes database has was changed/updated by 10.4


    Side note:
    The only reason I updated Scrobbler 1.5.4.27088 and iTunes 10.2 (which worked) was because Scrobbler kept nagging me about a new version being available every time it started. If I didn't click CANCEL in the "Automatic Updater" window before connecting iPod, then scrobbling iPod would not work.

    I wish there were a way to disable "Check for Updates" in Preferences.

    • K1MO said...
    • User
    • 23 Aug 2011, 10:42

    any info from staff please?

    can please a staff member say something about this? are you aware of it? will you fix it? i dont wanna waste time working around when later there will be a native fix ..

    thx in advance

    ps: also, with the client not automatically opening on iT launch it seems the scrobbling of iPod doesnt work too:
    .. i started iTunes
    .. iPod got mounted
    .. recognized that lfm client wasnt started
    .. opened it
    .. nothing happend.

    scrobbles lost?!?

    (PPC mac os x 10.4.11 itunes 9.2.1(5) lfm client 1.5.4.28012)

    • K1MO said...
    • User
    • 31 Aug 2011, 01:01
    talking to the dead here :/

  • Please leave your message after the beep..........beeeeeeeeeep........

    John Peel after playing 'Higher State Of Consciousness' by Josh Wink for the second time;
    "I'm sure I'm not alone in thinking that sounded better when I played it the other night, at the wrong speed."
    • [Deleted user] said...
    • User
    • 2 Sep 2011, 19:32
    You might want to try what I wrote here:
    http://www.lastfm.de/forum/34905/_/750760/8#f15943833

    It worked for me, after my iPod wasn't even recognised by Last.fm at all.
    (PPC Mac, MacOS 10.5.8, iTunes 10.4.1, Last.fm 1.5.4.28012)

    Good luck!

Anonymous users may not post messages. Please log in or create an account to post in the forums.